#
# spec file for package 4store
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define major   0
Name:           4store
Version:        1.1.5
Release:        lp150.1.4
Summary:        RDF Storage and SPARQL Query Engine
License:        GPL-3.0+
Group:          Productivity/Databases/Servers
Url:            http://4store.org/
Source:         http://4store.org/download/%{name}-v%{version}.tar.gz
Patch:          invalid-define.patch
BuildRequires:  pkg-config
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(avahi-client)
BuildRequires:  pkgconfig(avahi-core)
BuildRequires:  pkgconfig(avahi-glib)
BuildRequires:  pkgconfig(expat)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(raptor2)
BuildRequires:  pkgconfig(rasqal)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(zlib)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
4store was designed by Steve Harris and developed at Garlik to underpin their Semantic Web applications. It has been providing the base platform for around 3 years. At times holding and running queries over databases of 15GT, supporting a Web application used by thousands of people.


%package -n lib4store%{major}
Summary:        4store RDF Storage Library
Group:          System/Libraries

%description -n lib4store%{major}
4store RDF storage shared library.

%package -n lib4store-devel
Summary:        4store RDF Storage Development Files
Group:          Development/Libraries/C and C++
Requires:       lib4store%{major} = %{version}

%description -n lib4store-devel
4store RDF storage development files.

%prep
%setup -q -n %{name}-v%{version}
%patch -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n lib4store%{major} -p /sbin/ldconfig

%postun -n lib4store%{major} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/4s-*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%files -n lib4store%{major}
%defattr(-,root,root)
%{_libdir}/lib4store.so.*

%files -n lib4store-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_includedir}/%{name}
%{_libdir}/lib4store.so
%{_libdir}/pkgconfig/*

%changelog
* Mon Jun 15 2015 schwab@suse.de
- invalid-define.patch: Remove invalid definition of internal identifier
* Tue Apr 21 2015 mpluskal@suse.com
- Remove fedora dependencies
- Use pkgconfig() style dependencies
* Sat Aug 24 2013 prusnak@opensuse.org
- updated to 1.1.5
* Fri Mar 16 2012 prusnak@opensuse.org
- spec cleanup
- added libs.patch to add missing libraries to linker (m, readline)
* Wed Sep 14 2011 lazy.kent@opensuse.org
- Initial package created - 1.1.3.
- Patch to fix build problem with '--as-needed' linker option
  (lp#803170) from Debian project.
